Skip to main content

createScanRun

Create a Scan Run for scanner tracking purposes

createScanRun(
input: CreateScanRunInput!
): CreateScanRunPayload

Arguments​

createScanRun.input ● CreateScanRunInput! non-null input​

Parameters for CreateScanRun

Type​

CreateScanRunPayload object​

Autogenerated return type of CreateScanRun.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateScanRun($input: CreateScanRunInput!) {\n createScanRun(input: $input) { clientMutationId scanRun { id asset { __typename } assetId } success }\n}","variables":{"input":{"assetId":"<asset_id>","kind":"DAST_CONVISO"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute